package com.fastbee.iot.mapper;


import com.fastbee.iot.model.anfang.UploadedPhotos;

import java.util.List;

/**
 * 存储上传的照片信息Mapper接口
 * 
 * @author kerwincui
 * @date 2024-06-20
 */
public interface UploadedPhotosMapper 
{
    /**
     * 查询存储上传的照片信息
     * 
     * @param id 存储上传的照片信息主键
     * @return 存储上传的照片信息
     */
    public UploadedPhotos selectUploadedPhotosById(Long id);

    /**
     * 查询存储上传的照片信息列表
     * 
     * @param uploadedPhotos 存储上传的照片信息
     * @return 存储上传的照片信息集合
     */
    public List<UploadedPhotos> selectUploadedPhotosList(UploadedPhotos uploadedPhotos);

    /**
     * 新增存储上传的照片信息
     * 
     * @param uploadedPhotos 存储上传的照片信息
     * @return 结果
     */
    public int insertUploadedPhotos(UploadedPhotos uploadedPhotos);

    /**
     * 修改存储上传的照片信息
     * 
     * @param uploadedPhotos 存储上传的照片信息
     * @return 结果
     */
    public int updateUploadedPhotos(UploadedPhotos uploadedPhotos);

    /**
     * 通过SN和图片进行更新数据
     * @param uploadedPhotos
     * @return
     */
    public int updateBySnAndTime(UploadedPhotos uploadedPhotos);



    /**
     * 删除存储上传的照片信息
     * 
     * @param id 存储上传的照片信息主键
     * @return 结果
     */
    public int deleteUploadedPhotosById(Long id);

    /**
     * 批量删除存储上传的照片信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUploadedPhotosByIds(Long[] ids);
}
